Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.util
Class QTBuild

    java.lang.Object
      |
      +--quicktime.util.QTBuild

public final class QTBuild
extends java.lang.Object

Contains build information for the QTJava library.

Field Summary
`static int` | `build` The build of QTJava given same version/subversion.
`static java.lang.String` | `buildStage` The buildType of QTJava given same version/subversion.
`static int` | `qualifyingSubVersion` The qualifier for the sub-version of QTJava
`static int` | `subVersion` The sub-version of QTJava
`static int` | `version` The version of QTJava

Method Summary
`static void` | `expired()` Deprecated.
`static int` | `getQualifyingSubVersion()`
`static int` | `getSubVersion()`
`static int` | `getVersion()`
`static java.lang.String` | `info()` This returns an info string about the current version/build of QTJava
`static void` | `isValid()` This checks to see if the QTJava developer release versions (which time out) are still valid.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final int version

  The version of QTJava

### subVersion

    public static final int subVersion

  The sub-version of QTJava

### qualifyingSubVersion

    public static final int qualifyingSubVersion

  The qualifier for the sub-version of QTJava

### build

    public static final int build

  The build of QTJava given same version/subversion. A value of 0 means final for that buildStage.

### buildStage

    public static final java.lang.String buildStage

  The buildType of QTJava given same version/subversion. Possible values are 'g' for GoldenMaster, 'f' for final candidate, 'b' for beta, 'a' for alpha

Method Detail

### getVersion

    public static final int getVersion()

  Returns:
    The version of QTJava

### getSubVersion

    public static final int getSubVersion()

  Returns:
    The sub-version of QTJava

### getQualifyingSubVersion

    public static final int getQualifyingSubVersion()

  Returns:
    The qualifier for the sub-version of QTJava

### expired

    public static final void expired()

  Deprecated.

  See Also:
    `isValid`

### isValid

    public static final void isValid()

  This checks to see if the QTJava developer release versions (which time out) are still valid. It this version has timed out then a security exception will be thrown, otherwise this returns.

  The call can also be used as a means of establishing whether the QTJava classes can be found by the system - the call can be made without the application having called QTSession.open.

### info

    public static java.lang.String info()

  This returns an info string about the current version/build of QTJava

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD